package com.zy.bms.pojo.dto;

import com.zy.bms.common.Constant;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 路牌
 * 设置唤醒时间和阈值
 *
 * @author chen_yi
 * Create on 2021/8/22
 */
@Data
public class WakeAndThreshLpDTO {
    /**
     * 设备码
     */
    private String openNum;

    /**
     * 唤醒时间
     */
    private BigDecimal wakeInt;

    /**
     * 阈值
     */
    private Integer thresh;

    /**
     * 是否获取位置 true or false
     */
    private String getLocation;

    /**
     * 是否需要设置参数 true or false
     */
    private String setf;

    public String getSetf() {
        return (wakeInt != null || thresh != null) ? Constant.STATUS.TRUE : Constant.STATUS.FALSE;
    }
}
