package com.zy.bms.pojo.vo;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * 微信设备列表视图
 *
 * @author yang xiao kun
 * create on 2021/8/30
 */
@Data
public class DeviceWxListVo {
    /**
     * 设备码
     */
    private String openNum;
    /**
     * 设备组
     */
    private String groupId;
    /**
     * 设备类型
     */
    private String type;
    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
    /**
     * 状态 0:离线 1:在线
     */
    private Integer status;
}
